ENTCHECK(1)

NAME
entcheck - estimates the entropy of a stream

SYNOPSIS
entcheck [-N <bits>] [-s <streams>]

DESCRIPTION
entcheck estimates the entropy of its standard input. It uses the previous bits bits (16 by default) to predict the next bit, and estimates the entropy based on the level of surprise, that is to say the base-2 logarithm of the probability of seeing the given string of bits.

In some scenarios, such as the output of an 8-bit DAC, some bits are special: entropy then needs to be predicted per bit over the width of the input data. The -s option sets the width of the input data in this case.

OPTIONS

-N <bits>
    specifies the number of bits to use to predict the next bit.

-s <streams>
    specifies the number of streams to use.

SEE ALSO
infnoise(8).